% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ClustAll_ClustAllObject_Class.R
\docType{class}
\name{numericOrCharacter-class}
\alias{numericOrCharacter-class}
\alias{numericOrCharacter}
\title{Class Union: numericOrCharacter}
\description{
This class union allows for flexibility in method signatures and slot
definitions by accepting either a numeric or character value. It is particularly
useful when a slot or function parameter might contain either numeric data
or character strings representing numbers or categories.
}
\details{
The numericOrCharacter class union includes:
\itemize{
  \item numeric: A standard R numeric value or vector
  \item character: A standard R character string or vector
}

This union is useful in scenarios where:
\itemize{
  \item A function might accept or return either numeric values or their string representations
  \item A slot in an S4 object could contain either numeric data or categorical labels
  \item A function needs to handle both numeric and character input flexibly
}
}
\seealso{
\code{\link{setClassUnion}}, \code{\link{ClustAllObject-class}}
}
